cvp.vo

## Class PatientDetails

- java.lang.Object
- - cvp.vo.PatientDetails

-     public class PatientDetails
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Date` | `birthDate`
    `(package private) int` | `cellPhone`
    `protected java.lang.String` | `domicileAddress`
    `protected java.lang.String` | `domicileMunicipality`
    `protected int` | `domicileZIPCode`
    `protected java.lang.String` | `eMail`
    `protected java.lang.String` | `familyName`
    `protected java.lang.String` | `fiscalCode`
    `protected java.lang.String` | `gender`
    `protected java.lang.String` | `givenName`
    `protected java.lang.String` | `id`
    `protected int` | `phone`
    `protected java.lang.String` | `residenceAddress`
    `protected java.lang.String` | `residenceMunicipality`
    `protected int` | `residenceZIPCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getBirthDate()` Gets the value of the birthDate property.
    `int` | `getCellPhone()` Gets the value of the cellPhone property.
    `java.lang.String` | `getDomicileAddress()` Gets the value of the domicileAddress property.
    `java.lang.String` | `getDomicileMunicipality()` Gets the value of the domicileMunicipality property.
    `int` | `getDomicileZIPCode()` Gets the value of the domicileZIPCode property.
    `java.lang.String` | `getEMail()` Gets the value of the eMail property.
    `java.lang.String` | `getFamilyName()` Gets the value of the familyName property.
    `java.lang.String` | `getFiscalCode()` Gets the value of the fiscalCode property.
    `java.lang.String` | `getGender()` Gets the value of the gender property.
    `java.lang.String` | `getGivenName()` Gets the value of the givenName property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `int` | `getPhone()` Gets the value of the phone property.
    `java.lang.String` | `getResidenceAddress()` Gets the value of the residenceAddress property.
    `java.lang.String` | `getResidenceMunicipality()` Gets the value of the residenceMunicipality property.
    `int` | `getResidenceZIPCode()` Gets the value of the residenceZIPCode property.
    `void` | `setBirthDate(java.util.Date value)` Sets the value of the birthDate property.
    `void` | `setCellPhone(int value)` Sets the value of the cellPhone property.
    `void` | `setDomicileAddress(java.lang.String value)` Sets the value of the domicileAddress property.
    `void` | `setDomicileMunicipality(java.lang.String value)` Sets the value of the domicileMunicipality property.
    `void` | `setDomicileZIPCode(int value)` Sets the value of the domicileZIPCode property.
    `void` | `setEMail(java.lang.String value)` Sets the value of the eMail property.
    `void` | `setFamilyName(java.lang.String value)` Sets the value of the familyName property.
    `void` | `setFiscalCode(java.lang.String value)` Sets the value of the fiscalCode property.
    `void` | `setGender(java.lang.String value)` Sets the value of the gender property.
    `void` | `setGivenName(java.lang.String value)` Sets the value of the givenName property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setPhone(int value)` Sets the value of the phone property.
    `void` | `setResidenceAddress(java.lang.String value)` Sets the value of the residenceAddress property.
    `void` | `setResidenceMunicipality(java.lang.String value)` Sets the value of the residenceMunicipality property.
    `void` | `setResidenceZIPCode(int value)` Sets the value of the residenceZIPCode property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected java.lang.String id

    - #### fiscalCode

          protected java.lang.String fiscalCode

    - #### familyName

          protected java.lang.String familyName

    - #### givenName

          protected java.lang.String givenName

    - #### birthDate

          protected java.util.Date birthDate

    - #### gender

          protected java.lang.String gender

    - #### residenceMunicipality

          protected java.lang.String residenceMunicipality

    - #### residenceAddress

          protected java.lang.String residenceAddress

    - #### residenceZIPCode

          protected int residenceZIPCode

    - #### domicileMunicipality

          protected java.lang.String domicileMunicipality

    - #### domicileAddress

          protected java.lang.String domicileAddress

    - #### domicileZIPCode

          protected int domicileZIPCode

    - #### phone

          protected int phone

    - #### cellPhone

          int cellPhone

    - #### eMail

          protected java.lang.String eMail

  - ### Constructor Detail

    - #### PatientDetails

          public PatientDetails()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFiscalCode

          public java.lang.String getFiscalCode()

      Gets the value of the fiscalCode property.
      Returns:
        possible object is `String`

    - #### setFiscalCode

          public void setFiscalCode(java.lang.String value)

      Sets the value of the fiscalCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFamilyName

          public java.lang.String getFamilyName()

      Gets the value of the familyName property.
      Returns:
        possible object is `String`

    - #### setFamilyName

          public void setFamilyName(java.lang.String value)

      Sets the value of the familyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGivenName

          public java.lang.String getGivenName()

      Gets the value of the givenName property.
      Returns:
        possible object is `String`

    - #### setGivenName

          public void setGivenName(java.lang.String value)

      Sets the value of the givenName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBirthDate

          public java.util.Date getBirthDate()

      Gets the value of the birthDate property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setBirthDate

          public void setBirthDate(java.util.Date value)

      Sets the value of the birthDate property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getGender

          public java.lang.String getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `String`

    - #### setGender

          public void setGender(java.lang.String value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResidenceMunicipality

          public java.lang.String getResidenceMunicipality()

      Gets the value of the residenceMunicipality property.
      Returns:
        possible object is `String`

    - #### setResidenceMunicipality

          public void setResidenceMunicipality(java.lang.String value)

      Sets the value of the residenceMunicipality property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResidenceAddress

          public java.lang.String getResidenceAddress()

      Gets the value of the residenceAddress property.
      Returns:
        possible object is `String`

    - #### setResidenceAddress

          public void setResidenceAddress(java.lang.String value)

      Sets the value of the residenceAddress property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResidenceZIPCode

          public int getResidenceZIPCode()

      Gets the value of the residenceZIPCode property.

    - #### setResidenceZIPCode

          public void setResidenceZIPCode(int value)

      Sets the value of the residenceZIPCode property.

    - #### getDomicileMunicipality

          public java.lang.String getDomicileMunicipality()

      Gets the value of the domicileMunicipality property.
      Returns:
        possible object is `String`

    - #### setDomicileMunicipality

          public void setDomicileMunicipality(java.lang.String value)

      Sets the value of the domicileMunicipality property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDomicileAddress

          public java.lang.String getDomicileAddress()

      Gets the value of the domicileAddress property.
      Returns:
        possible object is `String`

    - #### setDomicileAddress

          public void setDomicileAddress(java.lang.String value)

      Sets the value of the domicileAddress property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDomicileZIPCode

          public int getDomicileZIPCode()

      Gets the value of the domicileZIPCode property.

    - #### setDomicileZIPCode

          public void setDomicileZIPCode(int value)

      Sets the value of the domicileZIPCode property.

    - #### getPhone

          public int getPhone()

      Gets the value of the phone property.

    - #### setPhone

          public void setPhone(int value)

      Sets the value of the phone property.

    - #### getCellPhone

          public int getCellPhone()

      Gets the value of the cellPhone property.

    - #### setCellPhone

          public void setCellPhone(int value)

      Sets the value of the cellPhone property.

    - #### getEMail

          public java.lang.String getEMail()

      Gets the value of the eMail property.
      Returns:
        possible object is `String`

    - #### setEMail

          public void setEMail(java.lang.String value)

      Sets the value of the eMail property.
      Parameters:
        `value` - allowed object is `String`